<h1>My Cart</h1>

<div class="course-list-wrapper">
    <mat-card *ngFor="let course of myCartList">
        <h3> {{ course.name }} <span class="course-price">($ {{ course.price }})</span></h3>
        <p class="author-name">By {{ course.author }}</p> 
        <mat-card-content>
            <p> {{ course.description }} </p>
            <div>
                <mat-icon [ngClass]="{ 'selected': rating.isSelected }" *ngFor="let rating of ratings">star</mat-icon>
            </div>
        </mat-card-content>
    </mat-card>
</div>
<button type="submit" [disabled]="myCartList?.length == 0" mat-flat-button color="primary" (click)="buyAllCourses()">Buy All</button>
